Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.om
Interface ValueRepresentation

All Known Subinterfaces:
  DocumentInfo, Item, NodeInfo, SiblingCountingNode, VirtualNode

All Known Implementing Classes:
  AtomicValue, DocumentImpl, DocumentWrapper, DocumentWrapper, DocumentWrapper, NamespaceIterator.NamespaceNodeImpl, NodeImpl, NodeWrapper, NodeWrapper, NodeWrapper, Orphan, StrippedDocument, StrippedNode, TextFragmentValue, TinyDocumentImpl, TinyNodeImpl, UnconstructedDocument, UnconstructedParent, Value, VirtualCopy, VirtualDocumentCopy

public interface ValueRepresentation

A ValueRepresentation is a representation of a Value. This is a marker interface used to represent the union of two classes: Value, and NodeInfo. Either of these two classes can be used to represent a value. The class is used primarily to represent the value of a variable.

This class is intended primarily for internal use, and should not be considered part of the Saxon public API.

Field Summary
`static ValueRepresentation[]` | `EMPTY_VALUE_ARRAY` An empty array of ValueRepresentation objects

Method Summary
`java.lang.String` | `getStringValue()` Convert the value to a string, using the serialization rules.

Field Detail

### EMPTY_VALUE_ARRAY

    public static final ValueRepresentation[] EMPTY_VALUE_ARRAY

  An empty array of ValueRepresentation objects

Method Detail

### getStringValue

    public java.lang.String getStringValue()
                                    throws XPathException

  Convert the value to a string, using the serialization rules. For atomic values this is the same as a cast; for sequence values it gives a space-separated list.

  Throws:
    `XPathException` - The method can fail if evaluation of the value has been deferred, and if a failure occurs during the deferred evaluation. No failure is possible in the case of an AtomicValue.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD